Activation extention impossible

  • WordPress :4.9.9
  • Statut : non résolu
4 sujets de 1 à 4 (sur un total de 4)
  • Auteur
    Messages
  • #2222775
    scorpio63
    Participant
    Initié WordPress
    2 contributions

    Bonjour,

    Je souhaitais que lors qu’on clic sur un bouton le texte s’affiche.

    Après quelques recherches on conseil d’installé l’extension Accordion.

    Donc je suis aller dans le panel admin wp > extension > Ajouter
    Dans recherche je tape Accordion et je vérifie qu’il est bien compatible avec ma version et cela et OK
    Donc je l’installe.
    Une fois installer quand je clic sur Activer cela me renvoie une erreur

    L’extension n’a pas pu être activée, car elle a déclenché une erreur fatale.
    Fatal error: Can’t use method return value in write context in /htdocs/public/www/wp-content/plugins/accordions/includes/class-WPAdminSettings.php on line 657

    J’ai déjà installer des extensions et je n’ai jamais eu se genre de message.

    Dans l’attente d’une aide de votre pars je vous en remercie d’avance.

    Cordialement.

    #2222811
    PhiLyon
    Modérateur
    Maître WordPress
    20964 contributions

    Bonjour.

    Sans le questionnaire rempli, il est difficile de t’aider https://wpfr.net/support/sujet/comment-ouvrir-un-nouveau-sujet-sur-le-forum/

    🙂

    #2222877
    scorpio63
    Participant
    Initié WordPress
    2 contributions

    Bonsoir

    Ma configuration WP actuelle

    • Version de PHP/MySQL : les résultat de phpwpinfo.php
      Web server > Apache
      PHP Version > 5.3.3-7+squeeze3
      PHP MySQLi Client Version > 5.1.63
      MySQL Version > Not available
      MySQL Client API version > 5.1.63
    • Thème utilisé : mentalpress
    • Nom de l’hébergeur : local
    • Adresse du site : local

    Je suis aller voir a la ligne 657 de voici se que j’ai de la ligne 656 à 659

    	private function get_settings_fields(){
    		if( isset( $this->get_pages()[$this->get_current_page()]['page_settings'] ) ) return $this->get_pages()[$this->get_current_page()]['page_settings'];
    		else return array();
    	}

    Cordialement

    #2222884
    PhiLyon
    Modérateur
    Maître WordPress
    20964 contributions

    Bonjour.

    PHP Version > 5.3.3-7+squeeze3

    Passes ton PHP en version 7 minimum.

    Donnes-nous l’url de l’extension et le nom de ton serveur local, WAMPP, MAMP, etc.

    🙂

4 sujets de 1 à 4 (sur un total de 4)
  • Vous devez être connecté pour répondre à ce sujet.